## Module Thermite.Html.Attributes

This module defines helper functions for creating HTML attributes.

#### `accept`

``` purescript
accept :: String -> Attr
```

#### `acceptCharset`

``` purescript
acceptCharset :: String -> Attr
```

#### `accessKey`

``` purescript
accessKey :: String -> Attr
```

#### `action`

``` purescript
action :: String -> Attr
```

#### `allowFullScreen`

``` purescript
allowFullScreen :: String -> Attr
```

#### `allowTransparency`

``` purescript
allowTransparency :: String -> Attr
```

#### `alt`

``` purescript
alt :: String -> Attr
```

#### `async`

``` purescript
async :: String -> Attr
```

#### `autoComplete`

``` purescript
autoComplete :: String -> Attr
```

#### `autoFocus`

``` purescript
autoFocus :: Boolean -> Attr
```

#### `autoPlay`

``` purescript
autoPlay :: String -> Attr
```

#### `cellPadding`

``` purescript
cellPadding :: String -> Attr
```

#### `cellSpacing`

``` purescript
cellSpacing :: String -> Attr
```

#### `charSet`

``` purescript
charSet :: String -> Attr
```

#### `checked`

``` purescript
checked :: String -> Attr
```

#### `classID`

``` purescript
classID :: String -> Attr
```

#### `className`

``` purescript
className :: String -> Attr
```

#### `cols`

``` purescript
cols :: String -> Attr
```

#### `colSpan`

``` purescript
colSpan :: String -> Attr
```

#### `content`

``` purescript
content :: String -> Attr
```

#### `contentEditable`

``` purescript
contentEditable :: String -> Attr
```

#### `contextMenu`

``` purescript
contextMenu :: String -> Attr
```

#### `controls`

``` purescript
controls :: String -> Attr
```

#### `coords`

``` purescript
coords :: String -> Attr
```

#### `crossOrigin`

``` purescript
crossOrigin :: String -> Attr
```

#### `dateTime`

``` purescript
dateTime :: String -> Attr
```

#### `defer`

``` purescript
defer :: String -> Attr
```

#### `dir`

``` purescript
dir :: String -> Attr
```

#### `disabled`

``` purescript
disabled :: Boolean -> Attr
```

#### `download`

``` purescript
download :: String -> Attr
```

#### `draggable`

``` purescript
draggable :: String -> Attr
```

#### `encType`

``` purescript
encType :: String -> Attr
```

#### `form`

``` purescript
form :: String -> Attr
```

#### `formAction`

``` purescript
formAction :: String -> Attr
```

#### `formEncType`

``` purescript
formEncType :: String -> Attr
```

#### `formMethod`

``` purescript
formMethod :: String -> Attr
```

#### `formNoValidate`

``` purescript
formNoValidate :: String -> Attr
```

#### `formTarget`

``` purescript
formTarget :: String -> Attr
```

#### `frameBorder`

``` purescript
frameBorder :: String -> Attr
```

#### `height`

``` purescript
height :: String -> Attr
```

#### `hidden`

``` purescript
hidden :: String -> Attr
```

#### `href`

``` purescript
href :: String -> Attr
```

#### `hrefLang`

``` purescript
hrefLang :: String -> Attr
```

#### `htmlFor`

``` purescript
htmlFor :: String -> Attr
```

#### `httpEquiv`

``` purescript
httpEquiv :: String -> Attr
```

#### `icon`

``` purescript
icon :: String -> Attr
```

#### `_id`

``` purescript
_id :: String -> Attr
```

#### `key`

``` purescript
key :: String -> Attr
```

#### `label`

``` purescript
label :: String -> Attr
```

#### `lang`

``` purescript
lang :: String -> Attr
```

#### `list`

``` purescript
list :: String -> Attr
```

#### `loop`

``` purescript
loop :: String -> Attr
```

#### `manifest`

``` purescript
manifest :: String -> Attr
```

#### `marginHeight`

``` purescript
marginHeight :: String -> Attr
```

#### `marginWidth`

``` purescript
marginWidth :: String -> Attr
```

#### `max`

``` purescript
max :: String -> Attr
```

#### `maxLength`

``` purescript
maxLength :: String -> Attr
```

#### `media`

``` purescript
media :: String -> Attr
```

#### `mediaGroup`

``` purescript
mediaGroup :: String -> Attr
```

#### `method`

``` purescript
method :: String -> Attr
```

#### `min`

``` purescript
min :: String -> Attr
```

#### `multiple`

``` purescript
multiple :: String -> Attr
```

#### `muted`

``` purescript
muted :: String -> Attr
```

#### `name`

``` purescript
name :: String -> Attr
```

#### `noValidate`

``` purescript
noValidate :: String -> Attr
```

#### `open`

``` purescript
open :: String -> Attr
```

#### `pattern`

``` purescript
pattern :: String -> Attr
```

#### `placeholder`

``` purescript
placeholder :: String -> Attr
```

#### `poster`

``` purescript
poster :: String -> Attr
```

#### `preload`

``` purescript
preload :: String -> Attr
```

#### `radioGroup`

``` purescript
radioGroup :: String -> Attr
```

#### `readOnly`

``` purescript
readOnly :: String -> Attr
```

#### `rel`

``` purescript
rel :: String -> Attr
```

#### `required`

``` purescript
required :: String -> Attr
```

#### `role`

``` purescript
role :: String -> Attr
```

#### `rows`

``` purescript
rows :: String -> Attr
```

#### `rowSpan`

``` purescript
rowSpan :: String -> Attr
```

#### `sandbox`

``` purescript
sandbox :: String -> Attr
```

#### `scope`

``` purescript
scope :: String -> Attr
```

#### `scrolling`

``` purescript
scrolling :: String -> Attr
```

#### `seamless`

``` purescript
seamless :: String -> Attr
```

#### `selected`

``` purescript
selected :: String -> Attr
```

#### `shape`

``` purescript
shape :: String -> Attr
```

#### `size`

``` purescript
size :: String -> Attr
```

#### `sizes`

``` purescript
sizes :: String -> Attr
```

#### `span`

``` purescript
span :: String -> Attr
```

#### `spellCheck`

``` purescript
spellCheck :: String -> Attr
```

#### `src`

``` purescript
src :: String -> Attr
```

#### `srcDoc`

``` purescript
srcDoc :: String -> Attr
```

#### `srcSet`

``` purescript
srcSet :: String -> Attr
```

#### `start`

``` purescript
start :: String -> Attr
```

#### `step`

``` purescript
step :: String -> Attr
```

#### `tabIndex`

``` purescript
tabIndex :: String -> Attr
```

#### `target`

``` purescript
target :: String -> Attr
```

#### `title`

``` purescript
title :: String -> Attr
```

#### `_type`

``` purescript
_type :: String -> Attr
```

#### `useMap`

``` purescript
useMap :: String -> Attr
```

#### `value`

``` purescript
value :: String -> Attr
```

#### `width`

``` purescript
width :: String -> Attr
```

#### `wmode`

``` purescript
wmode :: String -> Attr
```


